+++
title = "Setup Namecoin Tld Lookup"
date = 2019-07-03T00:14:36+02:00
author = "MH"
cover = ""
tags = ["dns", "namecoin", "blokchain", "setup"]
description = "A straightforward way to set up a resolver only for Namecoins bit top-level domain"
showFullContent = false
draft = false
+++

This setup is distor independent. All you need is cron to start the blockchain and the name resolver.

download namecoin and ncdns binaries for your linux distros:

 * [https://github.com/namecoin/ncdns/releases/latest](https://github.com/namecoin/ncdns/releases/download/v0.0.8/ncdns-v0.0.8-linux_amd64.tar.gz)
 * [https://namecoin.org/download/](https://www.namecoin.org/files/namecoin-core-0.16.3/namecoin-0.16.3-x86_64-linux-gnu.tar.gz)

extract namecoin to /opt/namecoin
extract ncdns to /opt/ncdns

create new user e.g. <name> ( useradd name )

mkdir /var/lib/namecoin
chown name /var/lib/namecoin

crontab -e

```
@reboot    sudo -u <name> /opt/namecoin/bin/namecoind -datadir=/var/lib/namecoin -rpccookiefile=/var/lib/namecoin/rpc.cookie &
@reboot    sleep 20s; /opt/ncdns/bin/ncdns -service.uid $(id -u <name>) -ncdns.namecoinrpccookiepath /var/lib/namecoin/rpc.cookie &
```

Thats it, just reboot!

> to test it:

> dig @localhost obermui.bit
